<template>
  <line-chart :options="options" :series="series"></line-chart>
</template>

<script>
import lineChart from './line-chart.vue'

export default {
  components: {
    lineChart
  },
  data() {
    return {
      options: {
        title: {
          align: 'center',
          offsetY: 20,
          size: '2.2em',
          text: 'Temperature'
        }
      },
      series: [
        {
          name: 'Lake (3ft)',
          data: timeSeries(new Date().setHours(0, 0, 0, 0))
        },
        {
          name: 'Dock',
          data: timeSeries(new Date().setHours(0, 0, 0, 0))
        }
      ]
    }
  }
}

function dayRange() {
  return {
    min: new Date().setHours(0, 0, 0, 0),
    max: new Date().setHours(0, 0, 0, 0) + (24 * 60 * 60 * 1000)
  }
}

function timeSeries(start) {
  return [65, 65, 69, 62, 70, 73, 76, 79, 81, 83, 86, 90, 93, 94, 92, 88, 81, 78, 70, 69, 66, 67, 65, 64].map((value, idx) => {
    // Mix the number up a bit but keep the general trend across sets of series
    const mutatedValue = value - 6 + Math.floor(Math.random() * (10 - 2))
    return [start + (idx * 60 * 60 * 1000), mutatedValue]
  })
}
</script>
